Installing & Updating

Requirements

Solspace Freeform Classic meets the same requirements as listed on the ExpressionEngine Requirements page.

  • ExpressionEngine 2.x - 5.x
  • PHP 5.3.10 - PHP 7.1.x
  • MySQL 5.0.3 or later
  • Windows and macOS browsers:
    • Chrome 21 or later
    • Firefox 28 or later
    • Safari 9.0 or later
    • Internet Explorer 11 or later
    • Microsoft Edge

Installing Instructions

  1. Unzip the download package:
    • Select the EE version you're installing Freeform Classic for (ee4 for EE 4.x/5.x or ee3 for EE 3.x or ee2 for EE 2.x).
    • Within that EE version directory, copy the freeform folder into your sites ./system/user/addons/ directory.
    • Within the themes folder of that EE version directory, copy the freeform folder into your site's ./themes/user/ directory.
  2. Go to the Add-Ons area (under Developer navigation tab), scroll to down to the Third Party Add-Ons section, and find Freeform Classic in the list, and click Install.
  3. Setup and configuring:
    • To adjust configuration for Freeform Classic, go to the Freeform Classic Control Panel area and adjust as necessary.

Updating Instructions

TIP

If you're upgrading from Freeform Classic 4.x on ExpressionEngine 2.x, it's recommended that you upload the new Freeform Classic 5.x files to your new ExpressionEngine 3.x site directory just before running the EE2 -> EE3 upgrade.

  1. Within your EE site's ./system/user/addons/ and ./themes/user/ directories, delete the freeform folders.
  2. Unzip the download package:
    • Select the EE version you're updating Freeform Classic for (ee4 for EE 4.x/5.x or ee3 for EE 3.x or ee2 for EE 2.x).
    • Within that EE version directory, copy the freeform folder into your sites ./system/user/addons/ directory.
    • Within the themes folder of that EE version directory, copy the freeform folder into your site's ./themes/user/ directory.
  3. Go to the Add-Ons area (under Developer navigation tab), scroll to down to the Third Party Add-Ons section, and find Freeform Classic in the list, and click the Update button.